import request from '../utils/request'

export function getPatientInfoAndJobCategories(patientId) {
  return request({
    url: '/covidVaccinateAppointment/getPatientInfoAndJobCategories',
    method: 'get',
    params: { patientId },
  })
}

export function submitVaccinateAppointment(data) {
  return request({
    url: '/covidVaccinateAppointment/submitVaccinateAppointment',
    method: 'post',
    data,
  })
}

export function selectVaccinates() {
  return request({
    url: '/covidVaccinateAppointment/selectVaccinates',
    method: 'get',
  })
}

export function getNextSevenDaysSources(code) {
  return request({
    url: '/covidVaccinateAppointment/getNextSevenDaysSources',
    method: 'get',
    params: { code },
  })
}
